      function funseason(iday) result(iseason)

!!    ~ ~ ~ PURPOSE ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
!!    given the day and the month, this function returns the season
!!
!!    ~ ~ ~ INCOMING VARIABLES  ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
!!    name        |units         |definition
!!    ----------------------------------------------------------
!!    iday        |none          |day of the year, integer
!!    ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
!!
!!    ~ ~ ~ OUTGOING VARIABLES  ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
!!    name        |units         |definition
!!    ----------------------------------------------------------
!!    iseason     |none          |season of the year, integer:
!!                               |0 = error
!!                               |1 = winter
!!                               |2 = spring
!!                               |3 = summer
!!                               |4 = autumn
!!    ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
!!
!!    ~ ~ ~ LOCAL DEFINITIONS ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
!!    name        |units         |definition
!!    ----------------------------------------------------------
!!                |              |
!!    ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
!!
!!    ~ ~ ~ SUBROUTINES/FUNCTIONS CALLED  ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
!!    none
!!
!!    ~ ~ ~ ~ ~ ~ END SPECIFICATIONS  ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~

      implicit none

      integer :: iday, iseason

      if (iday <= 79) then
        iseason = 1 !! winter
      elseif (iday <= 171) then
        iseason = 2 !! spring
      elseif (iday <= 265) then
        iseason = 3 !! summer
      elseif (iday <= 355) then
        iseason = 4 !! autumn
      elseif (iday <= 366) then
        iseason = 1 !! winter
      else
        iseason = 0 !! error
      end if

      end function funseason
